<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIconLoader</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KIconLoader Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>Iconloader for KDE.
</p>
<p>
KIconLoader will load the current icon theme and all its base themes.
Icons will be searched in any of these themes. Additionally, it caches
icons and applies effects according to the user's preferences.
</p>
<p>
In KDE, it is encouraged to load icons by "Group". An icon group is a
location on the screen where icons are being used. Standard groups are:
Desktop, Toolbar, MainToolbar, Small and Panel. Each group has some
centrally configured properties bound to it, including the icon size
and effects. This makes it possible to offer a consistent icon look in
all KDE applications.
</p>
<p>
The standard groups are defined below.
</p>
<p>
<li> KIconLoader.Desktop: Icons in the iconview of konqueror, kdesktop and similar apps. </li>
<li> KIconLoader.Toolbar: Icons in toolbars. </li>
<li> KIconLoader.MainToolbar: Icons in the main toolbars. </li>
<li> KIconLoader.Small: Various small (typical 16x16) places: titlebars, listviews </li>
and menu entries.
<li> KIconLoader.Panel: Icons in kicker's panel </li>
</p>
<p>
The icons are stored on disk in an icon theme or in a standalone
directory. The icon theme directories contain multiple sizes and/or
depths for the same icon. The iconloader will load the correct one based
on the icon group and the current theme. Icon themes are stored globally
in share/icons, or, application specific in share/apps/$appdir/icons.
</p>
<p>
The standalone directories contain just one version of an icon. The
directories that are searched are: $appdir/pics and $appdir/toolbar.
Icons in these directories can be loaded by using the special group
"User".
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189827084">Context</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Any, Action, Application, Device, FileSystem, MimeType, Animation, Category, Emblem, Emote, International, Place, StatusIcon&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189828652">Group</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoGroup, Desktop, FirstGroup, Toolbar, MainToolbar, Small, Panel, Dialog, LastGroup, User&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189828748">MatchType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;MatchExact, MatchBest&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj178666668">States</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;DefaultState, ActiveState, DisabledState, LastState&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189828588">StdSizes</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;SizeSmall, SizeSmallMedium, SizeMedium, SizeLarge, SizeHuge, SizeEnormous&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189827500">Type</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Fixed, Scalable, Threshold&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180744076">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appname=QString(), <a href="../kdecore/KStandardDirs.html">KStandardDirs</a> dirs=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189753164">__init__</a> (self, <a href="../kdecore/KComponentData.html">KComponentData</a> componentData, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184837228">addAppDir</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appname)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189000332">addExtraDesktopThemes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189001452">alphaBlending</a> (self, KIconLoader.Group group)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164581324">currentSize</a> (self, KIconLoader.Group group)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189001100">extraDesktopThemesAdded</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164061740">hasContext</a> (self, KIconLoader.Context context)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KIconEffect.html">KIconEffect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188999436">iconEffect</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189837804">iconPath</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int group_or_size, bool canReturnNull=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188169004">loadAnimated</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, KIconLoader.Group group, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184838572">loadIcon</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, KIconLoader.Group group, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path_store=0, bool canReturnNull=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164017548">loadIconSet</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, KIconLoader.Group group, int size=0, bool canReturnNull=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184839084">loadMimeTypeIcon</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> iconName, KIconLoader.Group group, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path_store=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmovie.html">QMovie</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189839852">loadMovie</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, KIconLoader.Group group, int size=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189840844">moviePath</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, KIconLoader.Group group, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163428972">newIconLoader</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164063020">queryIcons</a> (self, int group_or_size, KIconLoader.Context context=KIconLoader.Any)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164061868">queryIconsByContext</a> (self, int group_or_size, KIconLoader.Context context=KIconLoader.Any)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164061548">queryIconsByDir</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> iconsDir)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164578220">reconfigure</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _appname, <a href="../kdecore/KStandardDirs.html">KStandardDirs</a> _dirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KIconTheme.html">KIconTheme</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188999244">theme</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KIconLoader.html">KIconLoader</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184837644">global_</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188999404">unknown</a> ()</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj180744076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appname=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KStandardDirs.html">KStandardDirs</a>&nbsp;</td>
<td class="paramname"><em>dirs=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs an iconloader.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>appname</em>&nbsp;</td><td> Add the data directories of this application to the
icon search path for the "User" group. The default argument adds the
directories of the current application.

<tr><td></td><td valign="top"><em>dirs</em>&nbsp;</td><td> the KStandardDirs object to use. If null the global one is used
</td></tr>
</table></dl>
<p> Usually, you use the default iconloader, which can be accessed via
KIconLoader.global(), so you hardly ever have to create an
iconloader object yourself. That one is the current KComponentData's
(typically KApplication's) iconloader.
</p></div></div><a class="anchor" name="obj189753164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KComponentData.html">KComponentData</a>&nbsp;</td>
<td class="paramname"><em>componentData</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs an iconloader.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>componentData</em>&nbsp;</td><td> the KComponentData to use to create this icon loader.
</td></tr>
</table></dl>
<p> Usually, you use the default iconloader, which can be accessed via
KIconLoader.global(), so you hardly ever have to create an
iconloader object yourself. That one is the current KComponentData's
(typically KApplication's) iconloader.
</p></div></div><a class="anchor" name="obj184837228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addAppDir</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appname</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds <b>appname</b> to the list of application specific directories.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>appname</em>&nbsp;</td><td> The application name.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189000332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addExtraDesktopThemes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Adds all the default themes from other desktops at the end of
the list of icon themes.
</p></div></div><a class="anchor" name="obj189001452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool alphaBlending</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether the user wants to blend the icons with the background
using the alpha channel information for a given group.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> the group to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if alpha blending is desired
</dd></dl> <dl class="obsolete" compact><dt><b>Obsolete:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj164581324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int currentSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the current size of the group.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> the group to check.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the current size for an icon group.
</dd></dl>
</p></div></div><a class="anchor" name="obj189001100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool extraDesktopThemesAdded</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns if the default icon themes of other desktops have been added
to the list of icon themes where icons are searched.
</p></div></div><a class="anchor" name="obj184837644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KIconLoader.html">KIconLoader</a> global_</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the global icon loader initialized with the global KComponentData.
Therefore you must have a KComponentData instantiated before calling this.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> global icon loader
</dd></dl>
</p></div></div><a class="anchor" name="obj164061740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasContext</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Context&nbsp;</td>
<td class="paramname"><em>context</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj188999436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KIconEffect.html">KIconEffect</a> iconEffect</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a pointer to the KIconEffect object used by the icon loader.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the KIconEffect.
</dd></dl>
</p></div></div><a class="anchor" name="obj189837804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> iconPath</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>group_or_size</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>canReturnNull=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the path of an icon.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon, without extension. If an absolute
path is supplied for this parameter, iconPath will return it
directly.

<tr><td></td><td valign="top"><em>group_or_size</em>&nbsp;</td><td> If positive, search icons whose size is
specified by the icon group <b>group_or_size.</b> If negative, search
icons whose size is - <b>group_or_size.</b>
See KIconLoader.Group and KIconLoader.StdSizes

<tr><td></td><td valign="top"><em>canReturnNull</em>&nbsp;</td><td> Can return a null string? If not, a path to the
"unknown" icon will be returned.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the path of an icon, can be null or the "unknown" icon when
not found, depending on <b>canReturnNull.</b>
</dd></dl>
</p></div></div><a class="anchor" name="obj188169004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> loadAnimated</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an animated icon as a series of still frames. If you want to load
a .mng animation as QMovie instead, please use loadMovie() instead.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. See loadIcon().

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> Override the default size for <b>group.</b>
See KIconLoader.StdSizes.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A QStringList containing the absolute path of all the frames
making up the animation.
</dd></dl>
</p></div></div><a class="anchor" name="obj184838572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> loadIcon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path_store=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>canReturnNull=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an icon. It will try very hard to find an icon which is
suitable. If no exact match is found, a close match is searched.
If neither an exact nor a close match is found, a null pixmap or
the "unknown" pixmap is returned, depending on the value of the
<b>canReturnNull</b> parameter.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon, without extension.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. This will specify the size of and effects to
be applied to the icon.

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> If nonzero, this overrides the size specified by <b>group.</b>
See KIconLoader.StdSizes.

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> The icon state: <b>DefaultState,</b> <b>ActiveState</b> or
<b>DisabledState.</b> Depending on the user's preferences, the iconloader
may apply a visual effect to hint about its state.

<tr><td></td><td valign="top"><em>overlays</em>&nbsp;</td><td> a list of emblem icons to overlay, by name. the emblem
prefix is applied automatically to each name, e.g.
"zip" becomes "emblem-zip"

<tr><td></td><td valign="top"><em>path_store</em>&nbsp;</td><td> If not null, the path of the icon is stored here.

<tr><td></td><td valign="top"><em>canReturnNull</em>&nbsp;</td><td> Can return a null pixmap? If false, the
"unknown" pixmap is returned when no appropriate icon has been found.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the QPixmap. Can be null when not found, depending on
</dd></dl> <b>canReturnNull.</b>
</p></div></div><a class="anchor" name="obj164017548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> loadIconSet</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>canReturnNull=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an icon set, that will do on-demand loading of the icon.
Loading itself is done by calling loadIcon .
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon, without extension.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. This will specify the size of and effects to
be applied to the icon.

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> If nonzero, this overrides the size specified by <b>group.</b>
See KIconLoader.StdSizes.

<tr><td></td><td valign="top"><em>canReturnNull</em>&nbsp;</td><td> Can return a null iconset? If false, iconset
containing the "unknown" pixmap is returned when no appropriate icon has
been found.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the icon set. Can be null when not found, depending on
</dd></dl> <b>canReturnNull.</b>
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon instead, which uses the iconloader internally
</dd></dl>
</p></div></div><a class="anchor" name="obj184839084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> loadMimeTypeIcon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>iconName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path_store=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an icon for a mimetype.
This is basically like loadIcon except that extra desktop themes are loaded if necessary.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>iconName</em>&nbsp;</td><td> The name of the icon, without extension, usually from KMimeType.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. This will specify the size of and effects to
be applied to the icon.

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> If nonzero, this overrides the size specified by <b>group.</b>
See KIconLoader.StdSizes.

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> The icon state: <b>DefaultState,</b> <b>ActiveState</b> or
<b>DisabledState.</b> Depending on the user's preferences, the iconloader
may apply a visual effect to hint about its state.

<tr><td></td><td valign="top"><em>path_store</em>&nbsp;</td><td> If not null, the path of the icon is stored here.

<tr><td></td><td valign="top"><em>overlays</em>&nbsp;</td><td> a list of emblem icons to overlay, by name. the emblem
prefix is applied automatically to each name, e.g.
"zip" becomes "emblem-zip"
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the QPixmap. Can not be null, the
"unknown" pixmap is returned when no appropriate icon has been found.
</dd></dl>
</p></div></div><a class="anchor" name="obj189839852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmovie.html">QMovie</a> loadMovie</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads an animated icon.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. See loadIcon().

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> Override the default size for <b>group.</b>
See KIconLoader.StdSizes.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent object of the returned QMovie.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A QMovie object. Can be null if not found or not valid.
Ownership is passed to the caller.
</dd></dl>
</p></div></div><a class="anchor" name="obj189840844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> moviePath</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the path to an animated icon.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the icon.

<tr><td></td><td valign="top"><em>group</em>&nbsp;</td><td> The icon group. See loadIcon().

<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> Override the default size for <b>group.</b>
See KIconLoader.StdSizes.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the full path to the movie, ready to be passed to QMovie's constructor.
Empty string if not found.
</dd></dl>
</p></div></div><a class="anchor" name="obj163428972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> newIconLoader</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Re-initialize the global icon loader
</p></div></div><a class="anchor" name="obj164063020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> queryIcons</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>group_or_size</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Context&nbsp;</td>
<td class="paramname"><em>context=KIconLoader.Any</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Queries all available icons for a specific group, having a specific
context.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>group_or_size</em>&nbsp;</td><td> If positive, search icons whose size is
specified by the icon group <b>group_or_size.</b> If negative, search
icons whose size is - <b>group_or_size.</b>
See KIconLoader.Group and KIconLoader.StdSizes

<tr><td></td><td valign="top"><em>context</em>&nbsp;</td><td> The icon context.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a list of all icons
</dd></dl>
</p></div></div><a class="anchor" name="obj164061868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> queryIconsByContext</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>group_or_size</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIconLoader.Context&nbsp;</td>
<td class="paramname"><em>context=KIconLoader.Any</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Queries all available icons for a specific context.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>group_or_size</em>&nbsp;</td><td> The icon preferred group or size. If available
at this group or size, those icons will be returned, in other case,
icons of undefined size will be returned. Positive numbers are groups,
negative numbers are negated sizes. See KIconLoader.Group and
KIconLoader.StdSizes

<tr><td></td><td valign="top"><em>context</em>&nbsp;</td><td> The icon context.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A QStringList containing the icon names
available for that context
</dd></dl>
</p></div></div><a class="anchor" name="obj164061548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> queryIconsByDir</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>iconsDir</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a list of all icons (*.png or *.xpm extension) in the
given directory.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>iconsDir</em>&nbsp;</td><td> the directory to search in
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A QStringList containing the icon paths
</dd></dl>
</p></div></div><a class="anchor" name="obj164578220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> reconfigure</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_appname</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KStandardDirs.html">KStandardDirs</a>&nbsp;</td>
<td class="paramname"><em>_dirs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Called by KComponentData.newIconLoader to reconfigure the icon loader.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_appname</em>&nbsp;</td><td> the new application name

<tr><td></td><td valign="top"><em>_dirs</em>&nbsp;</td><td> the new standard directories. If 0, the directories
from KGlobal will be taken.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj188999244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KIconTheme.html">KIconTheme</a> theme</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a pointer to the current theme. Can be used to query
available and default sizes for groups.
<dl class="note" compact><dt><b>Note:</b></dt><dd> The KIconTheme will change if reconfigure() is called and
therefore it's not recommed to store the pointer somewhere.
</dd></dl> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the current theme. 0 if no theme set.
</dd></dl>
</p></div></div><a class="anchor" name="obj188999404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> unknown</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the unknown icon. An icon that is used when no other icon
can be found.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the unknown pixmap
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj189827084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Context</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the context of the icon.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Any</em>&nbsp;</td><td><tr><td valign="top"><em>Action</em>&nbsp;</td><td><tr><td valign="top"><em>Application</em>&nbsp;</td><td><tr><td valign="top"><em>Device</em>&nbsp;</td><td><tr><td valign="top"><em>FileSystem</em>&nbsp;</td><td><tr><td valign="top"><em>MimeType</em>&nbsp;</td><td><tr><td valign="top"><em>Animation</em>&nbsp;</td><td><tr><td valign="top"><em>Category</em>&nbsp;</td><td><tr><td valign="top"><em>Emblem</em>&nbsp;</td><td><tr><td valign="top"><em>Emote</em>&nbsp;</td><td><tr><td valign="top"><em>International</em>&nbsp;</td><td><tr><td valign="top"><em>Place</em>&nbsp;</td><td><tr><td valign="top"><em>StatusIcon</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj189828652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Group</td>
</tr>
</table>
</div>
<div class="memdoc"><p>No group
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoGroup</em>&nbsp;=&nbsp;-1</td><td><tr><td valign="top"><em>Desktop</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>FirstGroup</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Toolbar</em>&nbsp;</td><td><tr><td valign="top"><em>MainToolbar</em>&nbsp;</td><td><tr><td valign="top"><em>Small</em>&nbsp;</td><td><tr><td valign="top"><em>Panel</em>&nbsp;</td><td><tr><td valign="top"><em>Dialog</em>&nbsp;</td><td><tr><td valign="top"><em>LastGroup</em>&nbsp;</td><td><tr><td valign="top"><em>User</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj189828748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">MatchType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type of a match.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>MatchExact</em>&nbsp;</td><td><tr><td valign="top"><em>MatchBest</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj178666668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">States</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the possible states of an icon.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>DefaultState</em>&nbsp;</td><td><tr><td valign="top"><em>ActiveState</em>&nbsp;</td><td><tr><td valign="top"><em>DisabledState</em>&nbsp;</td><td><tr><td valign="top"><em>LastState</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj189828588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">StdSizes</td>
</tr>
</table>
</div>
<div class="memdoc"><p>small icons for menu entries
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>SizeSmall</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>SizeSmallMedium</em>&nbsp;=&nbsp;22</td><td><tr><td valign="top"><em>SizeMedium</em>&nbsp;=&nbsp;32</td><td><tr><td valign="top"><em>SizeLarge</em>&nbsp;=&nbsp;48</td><td><tr><td valign="top"><em>SizeHuge</em>&nbsp;=&nbsp;64</td><td><tr><td valign="top"><em>SizeEnormous</em>&nbsp;=&nbsp;128</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj189827500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Type</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type of the icon.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Fixed</em>&nbsp;</td><td><tr><td valign="top"><em>Scalable</em>&nbsp;</td><td><tr><td valign="top"><em>Threshold</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
